<?php
$z = "b";
include ("../config.php");
if (((($_GET['load'] == "help") or ($_GET['load'] == "chat") or ($_GET['load'] == "login") or ($_GET['load'] == "logout")))) {
if (($_GET['load'] == "help") && ($_GET['id'] == "list3")) {
eval (" ?>" . admin_header() . " <?php ");
if ($wysiwyg == "True") {
echo wysiwyg();
}
}
} else {
eval (" ?>" . admin_header() . " <?php ");
if ($wysiwyg == "True" && $_GET['load'] != "templates") {
echo wysiwyg();
}
echo '<SCRIPT LANGUAGE="JavaScript">var checkflag = "false";function check(field) {if (checkflag == "false") {for (i = 0; i < field.length; i++) {field[i].checked = true;}checkflag = "true";return "Uncheck All"; }else {for (i = 0; i < field.length; i++) {field[i].checked = false; }checkflag = "false";return "Check All"; }}</script>';
}
if ($ipbancheck3 == "0") {if ($numv == "0"){
	if ($warn == $naum) {
	echo "Looks Like Everything Checks Out, Go Ahea....Wait, You Don't Have Access to the Admin Panel!";
} else {

if(!isset($_GET['page'])){
    $page = 1;
} else {
    $page = $_GET['page'];
}
}
}
}

$from = (($page * $setting[max_results]) - $setting[max_results]);
$admin_page = "yes";
echo '<center><a href="newsletter.php?load=newsletter&view=addcat">Add Category</a> | <a href="newsletter.php?load=newsletter&view=cat">Manage Categories</a> | <a href="newsletter.php?load=newsletter&view=addedition">Add Edition</a> | <a href="newsletter.php?load=newsletter&view=edition">Manage Editions</a> | <a href="newsletter.php?load=newsletter&view=subscribers">Manage Subscribers</a><br>[ <a href="newsletter.php?load=newsletter&view=sendout"><b>Send out Newsletter(s)</b></a> ]</center><br><br>';

if ($_GET['view'] == "") {
echo "Please choose a Newsletter Module feature above.";
}

if ($_GET['view'] == "sendout2") {
echo '<SCRIPT LANGUAGE="JavaScript">
var agree=confirm("Are you sure you want these edition(s) to be sent out to subscribers now?");
if (agree)
document.write("");
else
history.go(-1);
// End -->
</SCRIPT>';

while (list(, $i) = each ($_POST['sendout'])) {
$ft = mysql_fetch_row(mysql_query("SELECT name,content,cat FROM ".$pre."newsletter WHERE id = '".$i."'"));

$ex = explode("<--seperate-->", $ft[1]);

$sql = mysql_query("SELECT * FROM ".$pre."newsletter WHERE type = 'subscribers' AND cat = '".$ft[2]."'");
	while($r = mysql_fetch_array($sql)) {	

	$ft2 = mysql_fetch_row(mysql_query("SELECT email FROM ".$pre."users WHERE username = '".$r[name]."'"));

	$headers .= "From: $name <$email>\r\n";
    $headers .= "Cc: $email\r\n";
    $headers .= "Bcc: $email\r\n";

	if ($r[content] == "text") {
	mail($ft2[0], $sitename." - ".stripslashes($ft[0])." Newsletter", strip_tags($ex[1]), "$headers");
	} else {
	mail($ft2[0], $sitename." - ".stripslashes($ft[0])." Newsletter", $ex[0], "$headers");
	}
}
}
	echo "The edition(s) have been sent out.";
}

if ($_GET['view'] == "sendout") {
	echo "<form action='newsletter.php?load=newsletter&view=sendout2' name='form1' method='post'><table cellspacing=\"0\" cellpadding=\"3\" border=\"0\" align=\"center\"><tr><td><b>Name</b></td><td><b>Category</b></td><td><b>Send Out</b></td></tr>";

$query="SELECT * FROM ".$pre."newsletter WHERE type = 'edition' ORDER BY `id` DESC LIMIT $from, $setting[max_results]";
	$result=mysql_query($query);
	while($row = mysql_fetch_array($result)) {
		$id = "$row[id]";

		$fetch2 = mysql_fetch_row(mysql_query("SELECT name FROM ".$pre."newsletter WHERE id = '".$row[cat]."'"));

		echo "<tr><td>".$row[name]."</td><td>".$fetch2[0]."</td></td><td><input type=\"checkbox\" name=\"sendout[]\" value=\"$id\"></td></tr>";
    }

echo "<tr><td><div align='right'><input type='submit' name='submit' value='Submit'></td><td><input type=button value='Check All' onClick='this.value=check(this.form)'></td></tr></form></table><br><br>";
$total_results = mysql_result(mysql_query("SELECT COUNT(*) as Num FROM ".$pre."newsletter WHERE type = 'edition'"),0);

$total_pages = ceil($total_results / $setting[max_results]);
if ($total_pages > 1) {
echo "<center>";

// Build Previous Link
if($page > 1){
    $prev = ($page - 1);
    echo "<a href=\"newsletter.php?load=newsletter&view=sendout&page=$prev\"><<Previous</a>&nbsp;";
}

for($i = 1; $i <= $total_pages; $i++){
    if(($page) == $i){
        echo "$i&nbsp;";
        } else {
            echo "<a href=\"newsletter.php?load=newsletter&view=sendout&page=$i\">$i</a>&nbsp;";if (($i/25) == (int)($i/25)) {echo "<br>";}
    }
}

// Build Next Link
if($page < $total_pages){
    $next = ($page + 1);
    echo "<a href=\"newsletter.php?load=newsletter&view=sendout&page=$next\">Next>></a>";
}
echo "</center>";
}
}

if ($_GET['view'] == "subscribersm") {
echo '<SCRIPT LANGUAGE="JavaScript">
var agree=confirm("Confirm Deletion?");
if (agree)
document.write("");
else
history.go(-1);
// End -->
</SCRIPT>';

while (list(, $val) = each ($_POST['delete'])) {
	$delete = mysql_query("DELETE FROM ".$pre."newsletter WHERE id = '$val'") or die("<font color='red'><b>A fatal MySQL error occured</b></font>.<br><br><b>Query:</b> ".$delete."<br><b>Error:</b> (".mysql_errno().")".mysql_error());
}
if ($delete == TRUE) {
echo re_direct("1500", "newsletter.php?load=newsletter");
echo "The subscriber(s) have been deleted.";
}
}

if ($_GET['view'] == "subscribers") {
echo "<form action='newsletter.php?load=newsletter&view=subscribersm' name='form1' method='post'><table cellspacing=\"0\" cellpadding=\"3\" border=\"0\" align=\"center\"><tr><td><b>Username</b></td><td><b>Category</b></td><td><b>Delete</b></td></tr>";

$query="SELECT * FROM ".$pre."newsletter WHERE type = 'subscribers' ORDER BY `id` DESC LIMIT $from, $setting[max_results]";
	$result=mysql_query($query);
	while($row = mysql_fetch_array($result)) {
		$id = "$row[id]";

		$fetch = mysql_fetch_row(mysql_query("SELECT username FROM ".$pre."profile WHERE id = '".$row[name]."'"));

		$fetch2 = mysql_fetch_row(mysql_query("SELECT name FROM ".$pre."newsletter WHERE id = '".$row[cat]."'"));

		echo "<tr><td>".$fetch[0]."</td><td>".$fetch2[0]."</td><td><input type=\"checkbox\" name=\"id[]\" value=\"$id\"></td><td><input type=\"checkbox\" name=\"delete[]\" value=\"$id\"></td></tr>";
    }

echo "<tr><td><div align='right'><input type='submit' name='submit' value='Submit'></td><td><input type=button value='Check All' onClick='this.value=check(this.form)'></td></tr></form></table><br><br>";
$total_results = mysql_result(mysql_query("SELECT COUNT(*) as Num FROM ".$pre."newsletter WHERE type = 'edition'"),0);

$total_pages = ceil($total_results / $setting[max_results]);
if ($total_pages > 1) {
echo "<center>";

// Build Previous Link
if($page > 1){
    $prev = ($page - 1);
    echo "<a href=\"newsletter.php?load=newsletter&view=subscribers&page=$prev\"><<Previous</a>&nbsp;";
}

for($i = 1; $i <= $total_pages; $i++){
    if(($page) == $i){
        echo "$i&nbsp;";
        } else {
            echo "<a href=\"newsletter.php?load=newsletter&view=subscribers&page=$i\">$i</a>&nbsp;";if (($i/25) == (int)($i/25)) {echo "<br>";}
    }
}

// Build Next Link
if($page < $total_pages){
    $next = ($page + 1);
    echo "<a href=\"newsletter.php?load=newsletter&view=subscribers&page=$next\">Next>></a>";
}
echo "</center>";
}
}

if ($_GET['view'] == "editionm2") {
if ($_POST['all']) {
while (list(, $i) = each ($_POST['del'])) {
$delete = mysql_query("DELETE FROM ".$pre."newsletter WHERE id = '".$i."'");
}
}

if ($_POST['edit']) {
while (list(, $i) = each ($_POST['id'])) {

if ($_POST["autobr_$i"]) {
$content1 = preg_replace("/<br>\n/","\n",addslashes($_POST["content1_$i"]));
$content1 = preg_replace("/<br>\n/","\n",addslashes($_POST["content1_$i"]));
$content1 = preg_replace("/(\015\012)|(\015)|(\012)/","<br>\n",addslashes($_POST["content1_$i"]));

$content2 = preg_replace("/<br>\n/","\n",addslashes($_POST["content2_$i"]));
$content2 = preg_replace("/<br>\n/","\n",addslashes($_POST["content2_$i"]));
$content2 = preg_replace("/(\015\012)|(\015)|(\012)/","<br>\n",addslashes($_POST["content2_$i"]));
} else {
$content1 = $_POST["content1_$i"];
$content2 = $_POST["content2_$i"];
}
   
   $add = mysql_query("UPDATE ".$pre."newsletter SET name = '".addslashes($_POST["name_$i"])."', type = 'edition', content = '".$content1."<--seperate-->".$content2."', cat = '".$_POST["cat_$i"]."', date = '".time()."' WHERE id = '".$i."'") or die(mysql_error());
}
}
	echo "The edition(s) have been update/deleted.";
}

if ($_GET['view'] == "catm2") {
if ($_POST['all']) {
while (list(, $i) = each ($_POST['del'])) {
$delete = mysql_query("DELETE FROM ".$pre."newsletter WHERE id = '".$i."'");
}
}

if ($_POST['edit']) {
while (list(, $i) = each ($_POST['id'])) {
$add = mysql_query("UPDATE ".$pre."newsletter SET name = '".addslashes($_POST["name_$i"])."', content = '".addslashes($_POST["icon_$i"])."', date = '".time()."' WHERE id = '".$i."'") or die(mysql_error());
}
}
echo "The category(s) have been update/deleted.";
}

if ($_GET['view'] == "editionm") {
echo "<form action='newsletter.php?load=newsletter&view=editionm2' method='post' name='form1'><table cellspacing='1' cellpadding='1' border='0'>";

if ($_POST['id']) {
	echo "<input type='hidden' name='edit' value='yes' checked>";

	while (list(, $i) = each ($_POST['id'])) {
	$query="SELECT * FROM ".$pre."newsletter WHERE id = '".$i."'";
	$result=mysql_query($query);
	while($row = mysql_fetch_array($result)) {

echo "<input type='hidden' name='id[]' value='".$i."'>";

$ex = explode("<--seperate-->", $row[content]);

$c1 = preg_replace("/<br>/","\n",stripslashes($ex[0]));
$c2 = preg_replace("/<br>/","\n",stripslashes($ex[1]));

echo "<tr><td><b><center>Edition #".$i."</center></b><br><br></td></tr><tr><td><b>Name</b></td><td><input type='text' name='name_".$i."' value='".stripslashes($row[name])."'></td></tr><tr><td><b>Newsletter Content (HTML)</b></td><td><textarea name='content1_".$i."' cols='30' rows='12'>".$c1."</textarea></td></tr><tr><td><b>Newsletter Content (text)</b></td><td><textarea name='content2_".$i."' cols='30' rows='12'>".$c2."</textarea></td></tr><tr><td><b>Category</b></td><td><select name='cat_".$i."'>";

	$sql = mysql_query("SELECT * FROM ".$pre."newsletter WHERE type = 'cat'");
	while($r = mysql_fetch_array($sql)) {
	if ($r[id] == $row[cat]) {
	echo "<option value='".$r[id]."' selected>-- ".$r[name]." --</option>";
	} else {
	echo "<option value='".$r[id]."'>".$r[name]."</option>";
	}
	}
	echo "</select></td></tr><tr><td><b>Auto Break Line?</b></td><td><input type='checkbox' name='autobr_".$i."' value='hey' checked></td></tr>";
}
}
}

if ($_POST['delete']) {
	echo "<tr><td><br><br>Are you sure you want to delete the following edition(s)?:<br><br>";

	while (list(, $i) = each ($_POST['delete'])) {
	$query="SELECT * FROM ".$pre."newsletter WHERE id = '".$i."'";
	$result=mysql_query($query);
	while($row = mysql_fetch_array($result)) {
	
	echo $row[name]."<input type='hidden' name='del[]' value='".$i."'><br>";
	}
	}
	echo "<input type='checkbox' name='all' value='yes' checked>";
}
echo "<tr><td><input type='submit' name='submit' value='Update edition(s)'></td></tr></table></form>";
}

if ($_GET['view'] == "catm") {
echo "<form action='newsletter.php?load=newsletter&view=catm2' method='post' name='form1'><table cellspacing='1' cellpadding='1' border='0'>";

if ($_POST['id']) {
	echo "<input type='hidden' name='edit' value='yes' checked>";

	while (list(, $i) = each ($_POST['id'])) {
	$query="SELECT * FROM ".$pre."newsletter WHERE id = '".$i."'";
	$result=mysql_query($query);
	while($row = mysql_fetch_array($result)) {

echo "<input type='hidden' name='id[]' value='".$i."'>";

echo "<tr><td><b><center>Category #".$i."</center></b><br><br></td></tr><tr><td><b>Name</b></td><td><input type='text' name='name_".$i."' value='".stripslashes($row[name])."'></td></tr><tr><td><b>Icon</b></td><td><input type='text' name='icon_".$i."' value='".stripslashes($row[content])."'></td></tr>";
}
}
}

if ($_POST['delete']) {
	echo "<tr><td><br><br>Are you sure you want to delete the following category(s)?:<br><br>";

	while (list(, $i) = each ($_POST['delete'])) {
	$query="SELECT * FROM ".$pre."newsletter WHERE id = '".$i."'";
	$result=mysql_query($query);
	while($row = mysql_fetch_array($result)) {
	
	echo $row[name]."<input type='hidden' name='del[]' value='".$i."'><br>";
	}
	}
	echo "<input type='checkbox' name='all' value='yes' checked>";
}
echo "<tr><td><input type='submit' name='submit' value='Update category(s)'></td></tr></table></form>";
}

if ($_GET['view'] == "edition") {
echo "<form action='newsletter.php?load=newsletter&view=editionm' name='form1' method='post'><table cellspacing=\"0\" cellpadding=\"3\" border=\"0\" align=\"center\"><tr><td><b>Edition Name</b></td><td><b>Category</b></td><td><b><b>Edit</b></td><td><b>Delete</b></td></tr>";

$query="SELECT * FROM ".$pre."newsletter WHERE type = 'edition' ORDER BY `id` DESC LIMIT $from, $setting[max_results]";
	$result=mysql_query($query);
	while($row = mysql_fetch_array($result)) {
		$id = "$row[id]";
		$name2 = "$row[name]";
		$name = stripslashes($name2);
    	echo "<tr><td>$name</td><td>";

		if ($row[cat]) {
		$fetch = mysql_fetch_row(mysql_query("SELECT name FROM ".$pre."newsletter WHERE id = '".$row[cat]."'"));
		echo $fetch[0];
		}
		echo "</td><td><input type=\"checkbox\" name=\"id[]\" value=\"$id\"></td><td><input type=\"checkbox\" name=\"delete[]\" value=\"$id\"></td></tr>";
    }

echo "<tr><td><div align='right'><input type='submit' name='submit' value='Submit'></td><td><input type=button value='Check All' onClick='this.value=check(this.form)'></td></tr></form></table><br><br>";
$total_results = mysql_result(mysql_query("SELECT COUNT(*) as Num FROM ".$pre."newsletter WHERE type = 'edition'"),0);

$total_pages = ceil($total_results / $setting[max_results]);
if ($total_pages > 1) {
echo "<center>";

// Build Previous Link
if($page > 1){
    $prev = ($page - 1);
    echo "<a href=\"newsletter.php?load=newsletter&view=edition&page=$prev\"><<Previous</a>&nbsp;";
}

for($i = 1; $i <= $total_pages; $i++){
    if(($page) == $i){
        echo "$i&nbsp;";
        } else {
            echo "<a href=\"newsletter.php?load=newsletter&view=edition&page=$i\">$i</a>&nbsp;";if (($i/25) == (int)($i/25)) {echo "<br>";}
    }
}

// Build Next Link
if($page < $total_pages){
    $next = ($page + 1);
    echo "<a href=\"newsletter.php?load=newsletter&view=edition&page=$next\">Next>></a>";
}
echo "</center>";
}
}

if ($_GET['view'] == "cat") {
echo "<form action='newsletter.php?load=newsletter&view=catm' name='form1' method='post'><table cellspacing=\"0\" cellpadding=\"3\" border=\"0\" align=\"center\"><tr><td><b>Category Name</b></td><td><b>Icon</b></td><td><b><b>Edit</b></td><td><b>Delete</b></td></tr>";

$query="SELECT * FROM ".$pre."newsletter WHERE type = 'cat' ORDER BY `id` DESC LIMIT $from, $setting[max_results]";
	$result=mysql_query($query);
	while($row = mysql_fetch_array($result)) {
		$id = "$row[id]";
		$name2 = "$row[name]";
		$name = stripslashes($name2);
    	echo "<tr><td>$name</td><td>";
		if ($row[icon]) {
		echo "<img src='".$row[icon]."' border='1'>";
		}
		echo "</td><td><input type=\"checkbox\" name=\"id[]\" value=\"$id\"></td><td><input type=\"checkbox\" name=\"delete[]\" value=\"$id\"></td></tr>";
    }

echo "<tr><td><div align='right'><input type='submit' name='submit' value='Submit'></td><td><input type=button value='Check All' onClick='this.value=check(this.form)'></td></tr></form></table><br><br>";
$total_results = mysql_result(mysql_query("SELECT COUNT(*) as Num FROM ".$pre."newsletter WHERE type = 'cat'"),0);

$total_pages = ceil($total_results / $setting[max_results]);
if ($total_pages > 1) {
echo "<center>";

// Build Previous Link
if($page > 1){
    $prev = ($page - 1);
    echo "<a href=\"newsletter.php?load=newsletter&view=cat&page=$prev\"><<Previous</a>&nbsp;";
}

for($i = 1; $i <= $total_pages; $i++){
    if(($page) == $i){
        echo "$i&nbsp;";
        } else {
            echo "<a href=\"newsletter.php?load=newsletter&view=cat&page=$i\">$i</a>&nbsp;";if (($i/25) == (int)($i/25)) {echo "<br>";}
    }
}

// Build Next Link
if($page < $total_pages){
    $next = ($page + 1);
    echo "<a href=\"newsletter.php?load=newsletter&view=cat&page=$next\">Next>></a>";
}
echo "</center>";
}
}

if ($_GET['view'] == "addedition") {
echo "<form action='newsletter.php?load=newsletter&view=addedition' method='post'><table cellspacing='2' cellpadding='1' border='0' align='center'><tr><td>How many editions to add?</td><td><input type='text' name='many'></td><td><input type='submit' name='submit' value='Go'></td></tr></table></form>";

if ($_POST['many']) {
	echo "<form action='newsletter.php?load=newsletter&view=addedition2' method='post' name='form1'><table cellspacing='2' cellpadding='1' border='0' align='center'><input type='hidden' name='am' value='".$_POST['many']."'>";

for($i = 0; $i < $_POST['many']; $i = $i+1) {
	echo "<tr><td><center><b>Edition #".$i."</b></center><br><br></td></tr><tr><td><b>Edition Name</b></td><td><input type='text' name='name_".$i."'></td></tr><tr><td><b>Newsletter Content (HTML)</b></td><td><textarea name='content1_".$i."' cols='30' rows='10'></textarea></td></tr><tr><td><b>Newsletter Content (text)</b></td><td><textarea name='content2_".$i."' cols='30' rows='10'></textarea></td></tr><tr><td><b>Auto Break Line?</b></td><td><input type='checkbox' name='autobr_".$i."' value='yay' checked></td></tr><tr><td><b>Category</b></td><td><select name='cat_".$i."'>";
	
$search = mysql_query("SELECT * FROM ".$pre."newsletter WHERE type = 'cat'");
while($r = mysql_fetch_array($search)) {
	echo "<option value='".$r[id]."'>".$r[name]."</option>";
}
echo "</select><br><br></td></tr>";
}
}
echo "<tr><td><input type='submit' name='submit' value='Add Edition(s)'></td></tr></table></form>";
}

if ($_GET['view'] == "addcat") {
echo "<form action='newsletter.php?load=newsletter&view=addcat' method='post'><table cellspacing='2' cellpadding='1' border='0' align='center'><tr><td>How many categories to add?</td><td><input type='text' name='many'></td><td><input type='submit' name='submit' value='Go'></td></tr></table></form>";

if ($_POST['many']) {
	echo "<form action='newsletter.php?load=newsletter&view=addcat2' method='post' name='form1'><table cellspacing='2' cellpadding='1' border='0' align='center'><input type='hidden' name='am' value='".$_POST['many']."'>";

for($i = 0; $i < $_POST['many']; $i = $i+1) {
	echo "<tr><td><center><b>Category #".$i."</b></center><br><br></td></tr><tr><td><b>Category Name</b></td><td><input type='text' name='name_".$i."'></td></tr><tr><td><b>Icon</b></td><td><input type='text' name='icon_".$i."'><br><br></td></tr>";
}
}
echo "<tr><td><input type='submit' name='submit' value='Add Category(s)'></td></tr></table></form>";
}

if ($_GET['view'] == "addcat2") {
for($i = 0; $i < $_POST['am']; $i = $i+1) {

   $sql = mysql_query("SELECT * FROM ".$pre."newsletter WHERE name = '".$_POST["name_$i"]."'");
   $num = mysql_num_rows($sql);

   if ($num > "0") {
	   echo "Sorry, but the category name <b>".$_POST["name_$i"]."</b> is already in use. Go back and choose another name.<br><br>";
   } else {
   
   $r = mysql_query("INSERT INTO ".$pre."newsletter VALUES (null, '".addslashes($_POST["name_$i"])."', 'cat', '".addslashes($_POST["icon_$i"])."', '', '".time()."')") or die("<font color='red'><b>A fatal MySQL error occured</b></font>.<br><br><b>Query:</b> ".$r."<br><b>Error:</b> (".mysql_errno().")".mysql_error());

   }
}

if ($r == TRUE) {
echo re_direct("1500", "newsletter.php?load=newsletter");
echo "Categories have been added";
}
}

if ($_GET['view'] == "addedition2") {
for($i = 0; $i < $_POST['am']; $i = $i+1) {

if ($_POST["autobr_$i"]) {
$content1 = preg_replace("/<br>\n/","\n",addslashes($_POST["content1_$i"]));
$content1 = preg_replace("/<br>\n/","\n",addslashes($_POST["content1_$i"]));
$content1 = preg_replace("/(\015\012)|(\015)|(\012)/","<br>\n",addslashes($_POST["content1_$i"]));

$content2 = preg_replace("/<br>\n/","\n",addslashes($_POST["content2_$i"]));
$content2 = preg_replace("/<br>\n/","\n",addslashes($_POST["content2_$i"]));
$content2 = preg_replace("/(\015\012)|(\015)|(\012)/","<br>\n",addslashes($_POST["content2_$i"]));
} else {
$content1 = $_POST["content1_$i"];
$content2 = $_POST["content2_$i"];
}
   
   $r = mysql_query("INSERT INTO ".$pre."newsletter VALUES (null, '".addslashes($_POST["name_$i"])."', 'edition', '".$content1."<--seperate-->".$content2."', '".$_POST["cat_$i"]."', '".time()."')") or die("<font color='red'><b>A fatal MySQL error occured</b></font>.<br><br><b>Query:</b> ".$r."<br><b>Error:</b> (".mysql_errno().")".mysql_error());
}

if ($r == TRUE) {
echo re_direct("1500", "newsletter.php?load=newsletter");
echo "Editions have been added";
}
}
if (($_GET['load'] == "help") or ($_GET['load'] == "chat")) {
if (($_GET['load'] == "help") && ($_GET['id'] == "list3")) {
eval (" ?>" . admin_footer() . " <?php ");
}
} else {
eval (" ?>" . admin_footer() . " <?php ");
}
?>